# Namespace goog.net

code »

## Interfaces

goog.net.XhrLike
  Interface for the common parts of XMLHttpRequest.

## Classes

goog.net.DefaultXmlHttpFactory
  Default factory to use when creating xhr objects.
goog.net.WrapperXmlHttpFactory
  An xhr factory subclass which can be constructed using two factory methods.
goog.net.XmlHttpFactory
  Abstract base class for an XmlHttpRequest factory.

Show:PublicProtectedPrivate

## Global Functions

code » goog.net.XmlHttp ( ) ⇒ `!goog.net.XhrLike.OrNative`

Static class for creating XMLHttpRequest objects.

Returns

A new XMLHttpRequest object.